const knex = require('knex');

/**
 * Connects to your data store; this connection can later be used by your connector's methods.
 * @param {string} dialect The RDBMS dialect.
 * @param {function} next The connect callback.
 * @returns {*} Nothing
 */
module.exports = function (dialect, next) {
	try {
		this.connection = knex({
			client: dialect,
			connection: this.config,
			pool: this.config.connectionPooling
		});
	} catch (ex) {
		return next(ex);
	}
	next();
};
