const APIBuilder = require('@axway/api-builder-runtime');

module.exports = function buildCollection(Model, results) {
	if (results) {
		const rows = [];
		for (let i = 0; i < results.length; i++) {
			const row = results[i];
			const instance = Model.instance(this.transformRow(row), true);
			const primaryKeyColumn = this.getPrimaryKeyColumn(Model);
			if (primaryKeyColumn) {
				instance.setPrimaryKey(row[primaryKeyColumn]);
			}
			rows.push(instance);
		}
		return new APIBuilder.Collection(Model, rows);
	}

	// FIXME (RDPP-1265) (return collection)
	return [];
};
