/**
 * Add pagination to the query.
 * @param {object} query The query builder.
 * @param {object} params The params.
 * @param {number} params.skip The skip offset.
 * @param {number} params.limit The result limit.
 * @returns {object} The query builder.
 */
module.exports = function buildPagination(query, { skip, limit }) {
	return query
		.offset(+skip >= 0 ? +skip : 0)
		.limit(+limit > 0 ? +limit : 1000);
};

