module.exports = function getPrimaryKeyColumn (Model) {
	// models generated from within the connector have PK details
	const pk = Model.getMeta('primarykey');
	if (pk) {
		return pk;
	}

	// models that reside on disk, may not have PK details, but we can obtain
	// these from the table schema
	const name = this.getTableName(Model);
	const table = this.schema.tables[name];
	const { columnName } = table.primaryKey;
	if (columnName && table.columns[columnName]) {
		return columnName;
	}
};
