module.exports = function getTableName (Model) {
	// if the model has a metadata.table name, then use that. note that this
	// correlates to the schema.tables name.
	let table = Model.getMeta('table');
	if (table) {
		return table;
	}

	// otherwise, use the model name to use as the table name. because models
	// can be extended, this has to walk the ancestors until there are none,
	// and then use that model's name.
	let parent = Model;
	while (parent._parent && parent._parent.name) {
		parent = parent._parent;
	}
	table = parent.name || Model._supermodel;
	table = table.split('/').pop();
	return table;
};
