// Wraps async connector methods into callback varients for the ORM
module.exports = name => {
	return function (...args) {
		let callback;
		Promise.resolve()
			.then(() => {
				const method = require(`../methods/${name}`);
				callback = args.pop();
				const Model = args[0];
				const table = this.getTableName(Model);
				return method.call(this, table, ...args);
			})
			.then(result => {
				this.logger.trace(`${name} result:`, result || 'none');
				return callback(null, result);
			}, err => {
				this.logger.trace(`${name} error:`, err);
				return callback(err);
			})
			.catch(/* istanbul ignore next */err => setImmediate(/* istanbul ignore next */() => {
				// If the callback has an unhandled error, throw it away
				// for the uncaughtException handler and don't continue the promise chain
				throw err;
			}));
	};
};
